Bug 1312199 - [RFE] quota: enhance quota enable and disable process
[RFE] quota: enhance quota enable and disable process
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: RHGS 3.2.0
Assigned To: Raghavendra G
Anil Shah
: FutureFeature
Depends On: 1290766
Blocks: 1351503
  Show dependency treegraph
 
Reported: 2016-02-26 00:10 EST by Vijaikumar Mallikarjuna
Modified: 2017-03-23 01:27 EDT (History)
7 users (show)

See Also:
Fixed In Version: glusterfs-3.8.4-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1290766
Environment:
Last Closed: 2017-03-23 01:27:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaikumar Mallikarjuna 2016-02-26 00:10:01 EST
+++ This bug was initially created as a clone of Bug #1290766 +++

Currently quota crawl is done from the single mount point,
this is very slow process if there are huge number of files exists
in the volume
    
This RFE will now spawn crawl process for each brick in the
volume, and  files are looked in parallel independently for each
brick. This improves the speed of crawling process for
entire files-system

--- Additional comment from Vijay Bellur on 2015-12-11 07:11:33 EST ---

REVIEW: http://review.gluster.org/12952 (quota/glusterd: enhance quota enable and disable process) posted (#1) for review on master by Vijaikumar Mallikarjuna (vmallika@redhat.com)

--- Additional comment from Vijay Bellur on 2015-12-11 07:22:54 EST ---

REVIEW: http://review.gluster.org/12952 (quota/glusterd: enhance quota enable and disable process) posted (#2) for review on master by Vijaikumar Mallikarjuna (vmallika@redhat.com)

--- Additional comment from Vijay Bellur on 2015-12-11 07:28:12 EST ---

REVIEW: http://review.gluster.org/12952 (quota/glusterd: enhance quota enable and disable process) posted (#3) for review on master by Vijaikumar Mallikarjuna (vmallika@redhat.com)

--- Additional comment from Vijay Bellur on 2015-12-15 00:47:25 EST ---

REVIEW: http://review.gluster.org/12952 (quota/glusterd: enhance quota enable and disable process) posted (#4) for review on master by Vijaikumar Mallikarjuna (vmallika@redhat.com)

--- Additional comment from Vijay Bellur on 2015-12-15 01:36:11 EST ---

REVIEW: http://review.gluster.org/12952 (quota/glusterd: enhance quota enable and disable process) posted (#5) for review on master by Vijaikumar Mallikarjuna (vmallika@redhat.com)

--- Additional comment from Vijay Bellur on 2016-01-19 06:26:50 EST ---

REVIEW: http://review.gluster.org/12952 (quota/glusterd: enhance quota enable and disable process) posted (#6) for review on master by Vijaikumar Mallikarjuna (vmallika@redhat.com)

--- Additional comment from Vijay Bellur on 2016-02-02 03:18:16 EST ---

REVIEW: http://review.gluster.org/12952 (quota/glusterd: enhance quota enable and disable process) posted (#7) for review on master by Vijaikumar Mallikarjuna (vmallika@redhat.com)
Comment 2 Vijaikumar Mallikarjuna 2016-02-26 00:13:17 EST
Patch has been submitted upstream: http://review.gluster.org/#/c/12952/
Comment 4 Mike McCune 2016-03-28 19:44:20 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 12 Anil Shah 2017-01-16 03:20:21 EST
Compared crawling time for enable and disable quota between 3.1.3 and 3.2. 
Crawling takes less time in 3.2 build compared to 3.1.3 GA build.

Observed per brick crawling in 3.2

[root@rhs-client47 ~]# ps -ef | grep /tmp/
root      1117     1  0 13:25 ?        00:00:00 /usr/sbin/glusterfs -s localhost --volfile-id client_per_brick/vol1.client.10.70.36.71.rhs-brick2-b2.vol --use-readdirp=no --client-pid -100 -l /var/log/glusterfs/quota_crawl/rhs-brick2-b2.log /var/run/gluster/tmp/mnt6APKec
root      1144     1  0 13:26 ?        00:00:01 /usr/sbin/glusterfs -s localhost --volfile-id client_per_brick/vol1.client.10.70.36.71.rhs-brick3-b6.vol --use-readdirp=no --client-pid -100 -l /var/log/glusterfs/quota_crawl/rhs-brick3-b6.log /var/run/gluster/tmp/mntDMuOnb


[root@rhs-client46 ~]# ps -ef | grep glusterfs | grep /tmp
root      3352     1 20 13:45 ?        00:00:16 /usr/sbin/glusterfs -s localhost --volfile-id client_per_brick/vol1.client.10.70.36.70.rhs-brick2-b1.vol --use-readdirp=no --client-pid -100 -l /var/log/glusterfs/quota_crawl/rhs-brick2-b1.log /var/run/gluster/tmp/mntfotmVq
root      3371     1 15 13:45 ?        00:00:12 /usr/sbin/glusterfs -s localhost --volfile-id client_per_brick/vol1.client.10.70.36.70.rhs-brick3-b5.vol --use-readdirp=no --client-pid -100 -l /var/log/glusterfs/quota_crawl/rhs-brick3-b5.log /var/run/gluster/tmp/mnty5jPII


RFE verified on  build glusterfs-3.8.4-11.el7rhgs.x86_64
Comment 14 errata-xmlrpc 2017-03-23 01:27:13 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html

Note You need to log in before you can comment on or make changes to this bug.